package cn.cecep.talroad.enums;

public enum WaterPollutantEnum {

    COD("Cod","W01018","化学需氧量"),
    TN("Tn","W21001","总磷"),
    TP("Tp","W21011","总氮"),
    NHN("Nhn","W21003","氨氮"),
    PH("Ph","W01001","PH值");

    /**
     * 表中的参数字段
     */
    private String param;

    /**
     * 污染物code
     */
    private String pollutantsCode;

    /**
     * 污染物名称
     */
    private String pollutantsName;

    public String getParam() {
        return param;
    }

    public void setParam(String param) {
        this.param = param;
    }

    public String getPollutantsCode() {
        return pollutantsCode;
    }

    public void setPollutantsCode(String pollutantsCode) {
        this.pollutantsCode = pollutantsCode;
    }

    public String getPollutantsName() {
        return pollutantsName;
    }

    public void setPollutantsName(String pollutantsName) {
        this.pollutantsName = pollutantsName;
    }

    WaterPollutantEnum(String param,String pollutantsCode,String pollutantsName){
        this.param = param;
        this.pollutantsCode = pollutantsCode;
        this.pollutantsName = pollutantsName;
    }
}
